<app-header></app-header>
<div class="container-fluid">
  <div class="row">
    <div class="profile-wrapper">
      <div class="profile-box-outer">
        <div class="row">
          <!-- Change Display Name starts here -->
          <div class="col-md-12">
            <div class="container profile-box">
              <h2 class="text-center">Change Name</h2>
              <div class="form-group">
                <label for="changename">Name</label>
                <input type="text" class="form-control" id="changename" [(ngModel)]="userName" placeholder="Name">
              </div>
              <div class="form-group text-center">
                <button type="button" class="btn btn-info profile-button" (click)="changename()">Change</button>
                <br>
              </div>
            </div>
          </div>
          <!-- Change Display Name ends here -->
          <!-- Changes Password section starts here -->
          <div class="col-md-12">
            <form [formGroup]="changePasswordForm">
              <div class="container profile-box">
                <h2 class="text-center">Change Password</h2>
                <div class="form-group">
                  <label for="cpass">Current Password</label>
                  <input type="password" class="form-control" id="cpass" placeholder="Current Password" name="password"
                    formControlName="password">
                  <span class="red-color"
                    *ngIf="(btnClicked || changePasswordForm.get('password').touched) && changePasswordForm.get('password').invalid">
                    {{changePasswordForm.get('password').errors['pattern']?'Invalid Password Format':'Password is Required'}}
                  </span>
                </div>
                <div class="form-group">
                  <label for="npass">New Password</label>
                  <input type="password" class="form-control" id="npass" placeholder="New Password" name="newpassword"
                    formControlName="newpassword">
                  <span class="red-color"
                    *ngIf="(btnClicked || changePasswordForm.get('newpassword').touched) && changePasswordForm.get('newpassword').invalid">
                    {{changePasswordForm.get('newpassword').errors['pattern']?'Invalid Password Format':'Password is Required'}}
                  </span>
                </div>
                <div class="form-group">
                  <label for="cnpass">Confirm New Password</label>
                  <input type="password" class="form-control" id="cnpass" placeholder="Confirm New Password"
                    name="cnfmpassword" formControlName="cnfmpassword">
                  <span class="red-color"
                    *ngIf="((changePasswordForm.get('cnfmpassword').touched || btnClicked) && (changePasswordForm.get('cnfmpassword').invalid || changePasswordForm.get('newpassword').value !== changePasswordForm.get('cnfmpassword').value))">
                    Password Mismatch
                  </span>
                </div>
                <div class="form-group text-center">
                  <button type="button" class="btn btn-info profile-button"
                    *ngIf="!changePasswordForm.valid || (changePasswordForm.get('newpassword').value !== changePasswordForm.get('cnfmpassword').value)"
                    (click)="btnClicked = true">Change</button>
                  <button type="button" class="btn btn-info profile-button"
                    *ngIf="changePasswordForm.valid && (changePasswordForm.get('newpassword').value === changePasswordForm.get('cnfmpassword').value)"
                    (click)="changePass()">Change</button>
                  <br>
                  <br>
                </div>
              </div>
            </form>
          </div>
          <!-- Changes Password section ends here -->
          <!-- Delete Account starts here -->
          <div class="col-md-12 text-center" style="padding: 16px; font-weight: bold; color: red">
            Do you want to delete your News NG Account permenantly? <br><br>
            <button type="button" class="btn btn-info delete-button" (click)="deleteAccount()">Delete Account</button>
          </div>
          <!-- Delete Account ends here -->
        </div>
      </div>
    </div>
  </div>
</div>

<!-- nbmodel for delete confirmation starts here -->
<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Confirm Delete</h4>
    <button type="button" class="close btn btn btn-warning" aria-label="Close" (click)="modal.dismiss('no')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    Do you want to delete your account?
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn btn-info" (click)="modal.close('yes')">Yes</button>
    <button type="button" class="btn btn btn-warning" (click)="modal.dismiss('no')">No</button>

  </div>
</ng-template>
<!-- nbmodel for delete confirmation ends here -->
